petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatColoringDestroy

Destroys the matrix coloring context

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringDestroy(MatColoring *mc)

Collective on MatColoring

### Input Parameter

mc -the MatColoring context

### See Also

MatColoringCreate(), MatColoringApply()

### Level

beginner

### Location

src/mat/color/interface/matcoloring.c

### Examples

src/mat/examples/tutorials/ex16.c.html

### Implementations

MatColoringDestroy_Greedy in src/mat/color/impls/greedy/greedy.c
MatColoringDestroy_JP in src/mat/color/impls/jp/jp.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages